
<mat-sidenav-container style="height: 100%;">
    <mat-sidenav mode="side" opened="true" [fixedInViewport]="true" [fixedTopGap]=0 [fixedBottomGap]=0 style="min-width:53px; background-image: linear-gradient(to top right, #393333, #454546, #575759, #696b6e, #7b7f83);" autosize="false"
        fixedTopGap="56">
        <app-sidenav></app-sidenav>
    </mat-sidenav>

    <mat-sidenav-content [@onSideNavChange]="sidebarState" style="background-color: #f5f5f5;">
        <app-header></app-header>
        <mat-divider></mat-divider>
        <div class="grid-container">
        <router-outlet></router-outlet>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>

<!-- 
<mat-drawer-container class="example-container">
    <mat-drawer mode="side" opened style="background-color: #0747a6; width: 60px;">

        <div class="conteneurtop">
            <button mat-icon-button (click)="snav.toggle()">
                <mat-icon>menu</mat-icon>
            </button>
            <br>

            <button mat-icon-button>
                <img src="../assets/download.png" style="width: 100%;
                        height: 80%;">
            </button>
            <button mat-icon-button>
                <mat-icon mat-list-icon class="itemlist">find_in_page</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon mat-list-icon class="itemlist">favorite_border</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon mat-list-icon class="itemlist">add</mat-icon>
            </button>
        </div>

        <div class="conteneurbottom">
            <button mat-icon-button>
                <mat-icon mat-list-icon class="itemlist" matBadge="15" matBadgeColor="warn">notification_important
                </mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon mat-list-icon class="itemlist">help_outline</mat-icon>
            </button>
            <button mat-icon-button>
                <mat-icon mat-list-icon class="itemlist">account_circle</mat-icon>
            </button>
        </div>
    </mat-drawer>
    <mat-drawer-content>
        <div class="example-container" [class.example-is-mobile]="mobileQuery.matches">
-->
<!-- comment -->
<!--              <mat-toolbar color="" class="example-toolbar">

                <h1 class="example-app-name">WiDigital</h1>
            </mat-toolbar> -->
<!-- 
            <mat-sidenav-container class="example-sidenav-container"
                [style.marginTop.px]="mobileQuery.matches ? 56 : 0">
                <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'"
                    [fixedInViewport]="mobileQuery.matches" fixedTopGap="56" style="background-color: #0747a6">
                    <mat-nav-list>
                        <mat-list-item class="itemlist" style="text-align: center">WiDigital Software</mat-list-item>
                        <a mat-list-item routerLink=".">
                            <mat-icon mat-list-icon class="itemlist">dashboard</mat-icon>
                            <h5 mat-line class="itemlist">Dashbord</h5>
                        </a>
                        <a mat-list-item routerLink=".">
                            <mat-icon mat-list-icon class="itemlist">contact_mail</mat-icon>
                            <h5 mat-line class="itemlist">Mailing Module</h5>
                        </a>
                        <a mat-list-item routerLink=".">
                            <mat-icon mat-list-icon class="itemlist">assignment</mat-icon>
                            <h5 mat-line class="itemlist">Contract Module</h5>
                        </a>
                        <a mat-list-item routerLink=".">
                            <mat-icon mat-list-icon class="itemlist">group_work</mat-icon>
                            <h5 mat-line class="itemlist">Users</h5>
                        </a>
                    </mat-nav-list>
                </mat-sidenav>

                <mat-sidenav-content>
                        <mat-toolbar color="" class="example-toolbar">

                                <h1 class="example-app-name">WiDigital</h1>
                            </mat-toolbar>
                    <lib-mailingModule></lib-mailingModule>
                    <p *ngFor="let content of fillerContent">{{content}}</p>
                </mat-sidenav-content>

            </mat-sidenav-container>
        </div>
    </mat-drawer-content>
</mat-drawer-container>
-->